Yapper Docs
Api reference
POST
/webhooks/{webhookId}/rotate-secret

Returns the new secret once. For 24 hours deliveries are signed with both the new and the old secret.

Authorization

bearerAuth webhooks:write
AuthorizationBearer <token>

In: header

Scope: webhooks:write

Path Parameters

webhookId*string
Match^whe_[A-Za-z0-9_-]{16}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/webhooks/string/rotate-secret"
{  "data": {    "id": "string",    "url": "http://example.com",    "description": "string",    "events": [      "process.completed"    ],    "enabled": true,    "disabledReason": "disabled_by_user",    "disabledAt": "2019-08-24T14:15:22Z",    "failingSince": "2019-08-24T14:15:22Z",    "lastSuccessAt": "2019-08-24T14:15:22Z",    "createdBy": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "links": {      "self": "string",      "deliveries": "string"    },    "secret": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}